"""add std_cal qa_fail action

Revision ID: 3cc6bd75e664
Revises: 22db21f0ecb2
Create Date: 2021-10-27 09:48:23.508181

"""
from alembic import op

# revision identifiers, used by Alembic.
revision = "3cc6bd75e664"
down_revision = "22db21f0ecb2"
branch_labels = None
depends_on = None


def upgrade():
    """
    add action for standard calibration QA fail
    Add standard calibration QA failure
    to capability_state_transitions table

    :return:
    """
    op.execute(
        """
        INSERT INTO capability_state_transitions (capability_name, from_state, to_state, pattern)
        VALUES ('std_calibration', 'Awaiting QA', 'Failed', 'type == qa-fail')
        """
    )
    op.execute(
        """
        INSERT INTO capability_state_actions (transition_id, arguments, action_type)
            VALUES (
            (SELECT transition_id FROM capability_state_transitions
                WHERE capability_name='std_calibration'
                AND from_state='Awaiting QA'
                AND to_state='Failed'), 'qa_fail', 'ExecuteWorkflow'
        )
        """
    )


def downgrade():
    """
    remove action for standard calibration QA fail
    Remove standard calibration QA failure
    from capability_state_transitions table
    :return:
    """
    op.execute(
        """
        DELETE FROM capability_state_transitions
        WHERE capability_name='std_calibration'
        AND from_state='Awaiting QA'
        AND to_state='Failed'
        AND pattern='type == qa-fail'
        """
    )
    op.execute(
        """
        DELETE FROM capability_state_actions
        WHERE action_type='ExecuteWorkflow'
        AND arguments='qa_fail'
        AND transition_id=
        (SELECT transition_id
        FROM capability_state_transitions
        WHERE capability_name='std_calibration'
        AND from_state='Awaiting QA'
        AND to_state='Failed')
        """
    )
